# ``twisted`.`python`.`_release`.`SphinxBuilder``

class documentation

`class SphinxBuilder: (source)`

View In Hierarchy

Generate HTML documentation using Sphinx.

Generates and runs a shell command that looks something like:

        sphinx-build -b html -d [BUILDDIR]/doctrees
                                [DOCDIR]/source
                                [BUILDDIR]/html

where DOCDIR is a directory containing another directory called "source" which contains the Sphinx source files, and BUILDDIR is the directory in which the Sphinx output will be created.

Method | `build` | Build the documentation in `docDir` with Sphinx.
Method | `main` | Build the main documentation.

def build(self, docDir, buildDir=None, version=''): (source)
Build the documentation in `docDir` with Sphinx.

Parameters
docDir:`twisted.python.filepath.FilePath` | The directory of the documentation. This is a directory which contains another directory called "source" which contains the Sphinx "conf.py" file and sphinx source documents.
buildDir:`twisted.python.filepath.FilePath` | The directory to build the documentation in. By default this will be a child directory of {docDir} named "build".
version:`str` | The version of Twisted to set in the docs.
Returns
`str` | the output produced by running the command

def main(self, args): (source)
Build the main documentation.

Parameters
args:list of str | The command line arguments to process. This must contain one string argument: the path to the root of a Twisted checkout. Additional arguments will be ignored for compatibility with legacy build infrastructure.